# 32/64bit spec-file
#
%define name	videoporama
%define version	0.8.2
%define release %mkrel 3

Name:           %name
Version:        %version       
Release:        %release
Summary:        Videoporama - Application to make video of image slideshow
Group:          Video
License:        GPLv2+
URL:            http://www.videoporama.tuxfamily.org/
Source0:        http://www.videoporama.tuxfamily.org/src/%name-%version.tar.xz
Patch:          %name-%version-pillow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot  
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools 
Requires:	mplayer ffmpeg python-qt4 python-pillow sox mjpegtools qt4-common

 
%description
Videoporama is a software designed to make image slideshow,
export to video file. It's given under the GPL V2 or above
licence and it's given without any warranty.
 

%prep
%setup -q
%patch -p1
 
%build
python setup.py build

 
%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root %{buildroot}


# Create menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/videoporama.desktop <<EOF
[Desktop Entry]
Name=Videoporama
GenericName=Application to make video of image slideshow
Comment=Application to make video of image slideshow
Exec=videoporama
Icon=%{_datadir}/%{name}/icons/%{name}.png
Terminal=false
Type=Application
Categories=Video;X-MandrivaLinux-Multimedia-Video;
EOF

%clean
rm -rf %{buildroot}

%post
%update_menus


%postun
%clean_menus




%files
%defattr(-,root,root,-)
%doc licences.txt
%{_bindir}/%name
#%{_bindir}/.svn/entries
#%{_bindir}/.svn/prop-base/videoporama.svn-base
#%{_bindir}/.svn/text-base/videoporama.svn-base
%py_puresitedir/%{name}-%{version}.BETA-py%{pyver}.egg-info
%{_datadir}/applications/videoporama.desktop
%{_datadir}/%name



%changelog
* Sat Feb 27 2016 Ken <lxgator at gmail.com> 0.8.2-3pclos2016
- rebuild
- patch with python-pillow

* Wed Feb 13 2013 pinoc <vogtpet at gmail.com> 0.8.2-1pclos2013
- 0.8.2 and 64bit

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.8-2pclos2010
- Update

* Sat Jul 24 2010 Texstar <texstar at gmail.com> 0.8-1pclos2010
- 0.8

* Wed Aug 25 2009 Texstar <texstar@gmail.com> 0.7.5-1pclos2009
- create

